@media (min-width: 0px) {
  .wall-photos {
    perspective: 500px;
  }
}
@media (min-width: 700px) {
  .wall-photos {
    perspective: 500px;
  }
}
@media (min-width: 1200px) {
  .wall-photos {
    perspective: 1000px;
  }
}
@media (min-width: 1600px) {
  .wall-photos {
    perspective: 2000px;
  }
}


.wall-photos {
  transform-style: preserve-3d;
  overflow: hidden;
  background: linear-gradient(45deg,rgba(255, 43, 43, 0.4) 0%, rgba(255, 255, 255, 1) 100%);
}

.wall-title{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.wall-photos .header {
  display: flex;
  flex-direction: column;
  align-items: center;
  color: #CCC;
  z-index: 5;
  font-size: 20px;
  text-align: center;
  max-width: 60%;
  gap: 0px;
}
.wall-photos .header h1 {
  font-weight: 400;
  font-size: 1em;
  margin: 0 0 5px 0;
  text-transform: uppercase;
}
.wall-photos .header span {
  padding: 0.25em;
  font-size: 0.75em;
  font-style: italic;
  text-transform: lowercase;
}

.wall-photos .social {
    display: flex;
    gap: 12px;
    align-items: center;
    margin-top: 10px;
}

.wall-photos .social img {
    width: 2.5em;
    height: 2.5em;
}

#wall {
  position: relative;
  transform-origin: left center;
  transform: rotateY(45deg);
  width: 100%;
  height: 100%;
  -webkit-animation: 10s linear move;
          animation: 10s linear move;
}
#wall .row {
  position: relative;
  display: flex;
  height: 250px;
  margin-bottom: 10px;
}
#wall .row img {
  height: 100%;
  margin: 5px;
}
#wall .row .frame {
  position: relative;
  height: 100%;
}
#wall .row .frame .reflection {
  position: absolute;
  height: 100%;
  transform: rotateX(180deg) translateY(-10px);
  opacity: 0.25;
}
#wall .row .frame::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(#f7efe13b 75%, transparent);
  transform-origin: bottom center;
  transform: rotateX(180deg) translateY(-20px);
}

@media (max-width: 678px) {
  .wall-photos .header {
    font-size: 14px;
    padding: 0;
  }

  .wall-photos{
    padding: 0 24px;
  }

  #wall :last-child{
    display: none;
  }

  .wall-photos .header h2.kids-title {
    font-size: 16px;
    margin: 0;
    padding: 12px;
  }

.wall-photos .social img {
    width: 2em;
    height: 2em;
}
}
